## net.sf.colorer.handlers
Class LineRegion

    java.lang.Object
      net.sf.colorer.handlers.LineRegion

public class LineRegion
extends java.lang.Object

Field Summary
`int` `end` Region end position.
`RegionDefine` `rdef`
`Region` `region` Link with associated Region, if exsist.
`Scheme` `scheme` Region scheme.
`boolean` `special`
`int` `start` Region start position.

Constructor Summary
`LineRegion(Region region, RegionDefine rdef, boolean special, int start, int end, Scheme scheme)`

Method Summary
`StyledRegion` `styled()` Transforms this region's reference into styled region define and returns new pointer.
`TextRegion` `texted()` Transforms this region's reference into text region define and returns new pointer.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### region

    public Region region

  Link with associated Region, if exsist.

### rdef

    public RegionDefine rdef

### special

    public boolean special

### start

    public int start

  Region start position.

### end

    public int end

  Region end position. Always more, than start, but can be -1 in case of region till end of line.

### scheme

    public Scheme scheme

  Region scheme.

Constructor Detail

### LineRegion

    public LineRegion(Region region,
                      RegionDefine rdef,
                      boolean special,
                      int start,
                      int end,
                      Scheme scheme)

Method Detail

### styled

    public StyledRegion styled()

  Transforms this region's reference into styled region define and returns new pointer.

### texted

    public TextRegion texted()

  Transforms this region's reference into text region define and returns new pointer.

### toString

    public java.lang.String toString()

Copyright © 2003 Cail Lomecb. All Rights Reserved.